Modify

Ticket #698 (closed defect: fixed)

Opened 12 years ago

Last modified 7 years ago

Plugins/Deps.py needs svn:keywords set

Reported by: mccallis Owned by: desai
Priority: minor Milestone:
Component: bcfg2-server Version:
Keywords: Cc:

Description

The bcfg2-info looks like it uses the expanded svn $Id:$ keyword to produce the output in response to the generators command. Currently in 1.0 pre5, I see the following when I issue that command:

> generators
$Id: Rules.py 5004 2009-01-05 03:24:50Z desai $
$Id: Cfg.py 5119 2009-03-16 01:31:36Z desai $
$Id: Pkgmgr.py 5245 2009-05-20 01:14:42Z desai $
$Id: SSHbase.py 5387 2009-07-27 00:08:10Z desai $
$Id:$
$Id: TCheetah.py 5339 2009-07-16 03:42:25Z desai $

From cross-referencing my list of configured Plugins and the output, it seems the source:trunk/bcfg2/src/lib/Server/Plugins/Deps.py file is not enabled to expand svn keywords. Clicking around in the repository shows other files (e.g., source:trunk/bcfg2/src/lib/Server/Plugins/NagiosGen.py) also contain keyword expansions but are not configured for such in svn. It's probably best just to kick off the following:

svn propset svn:keywords "Date Author Id Revision" src/lib/Server/Plugins/*.py

This will make everything match the keywords expanded for source:trunk/bcfg2/src/lib/Server/Plugins/Cfg.py.

A question of style is would it make sense to rename the command itself to "plugins", since "generators" is no longer the name used in the config file?

Mike

Attachments

Change History

comment:1 Changed 12 years ago by solj

  • Milestone set to Bcfg2 1.0 Release

comment:2 in reply to: ↑ description Changed 12 years ago by solj

  • Status changed from new to closed
  • Resolution set to fixed

Replying to mccallis:

The bcfg2-info looks like it uses the expanded svn $Id:$ keyword to produce the output in response to the generators command. Currently in 1.0 pre5, I see the following when I issue that command:

> generators
$Id: Rules.py 5004 2009-01-05 03:24:50Z desai $
$Id: Cfg.py 5119 2009-03-16 01:31:36Z desai $
$Id: Pkgmgr.py 5245 2009-05-20 01:14:42Z desai $
$Id: SSHbase.py 5387 2009-07-27 00:08:10Z desai $
$Id:$
$Id: TCheetah.py 5339 2009-07-16 03:42:25Z desai $

From cross-referencing my list of configured Plugins and the output, it seems the source:trunk/bcfg2/src/lib/Server/Plugins/Deps.py file is not enabled to expand svn keywords. Clicking around in the repository shows other files (e.g., source:trunk/bcfg2/src/lib/Server/Plugins/NagiosGen.py) also contain keyword expansions but are not configured for such in svn. It's probably best just to kick off the following:

svn propset svn:keywords "Date Author Id Revision" src/lib/Server/Plugins/*.py

This will make everything match the keywords expanded for source:trunk/bcfg2/src/lib/Server/Plugins/Cfg.py.

Added the keywords to all the Server plugins in [5a374b8be640be6baf1b435499596999bedec1f8] (SVN r5416). Thanks for the bug report.

A question of style is would it make sense to rename the command itself to "plugins", since "generators" is no longer the name used in the config file?

Since there is still a distinction between generators and other types of plugins, I'm not sure that we want to rename the function.

Mike

comment:3 Changed 7 years ago by Richardheef

  • Version 1.0 deleted
  • Milestone Bcfg2 1.0.0 Release deleted

Coastal command's hard-fought lamb would make land suit habits a vast image. https://my.swu.edu/ICS/icsfs/tabfen10.html?target=e857e422-f2bc-412b-af55-28cd1533af09 High wide passenger para offer systems to characters in the buy phentermine 37.5 mg of companies.

WARNING! You need to establish a session before you can create or edit tickets. Otherwise the ticket will get treated as spam.

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.